#include <math.h>

#include "sounds-cd.h"

#if defined(__GNUC__)
static char
stereo_phase_data (void *junk __attribute__((__unused__)), unsigned long time,
		short *left, short *right)
#else
static char
stereo_phase_data (void *junk, unsigned long time,
		short *left, short *right)
#endif
{
  short v;

  v = sin ((time*1./SAMPLE_RATE)*((BASIC_FREQUENCY+1./BASIC_LENGTH)*TWOPI))
    *BASIC_AMPLITUDE + .5;
  *left = v;
  v = sin ((time*1./SAMPLE_RATE)*((BASIC_FREQUENCY-1./BASIC_LENGTH)*TWOPI))
    *BASIC_AMPLITUDE + .5;
  *right = v;
  return ( time < BASIC_LENGTH*SAMPLE_RATE );
}

int
main (void)
{
  record_track (stereo_phase_data, 0);
  return 0;
}
