#include <math.h>
#include <stdlib.h>
#include <time.h>

#include "sounds-cd.h"

#if defined(__GNUC__)
static char
white_noise_data (void *junk __attribute__((__unused__)), unsigned long time,
		  short *left, short *right)
#else
static char
white_noise_data (void *junk, unsigned long time,
		  short *left, short *right)
#endif
{
  short v;

  v = sin ((rand ()%1000000L)*TWOPI/1000000L) * BASIC_AMPLITUDE + 0.5;
  *left = v;
  *right = v;
  return ( time < BASIC_LENGTH*SAMPLE_RATE );
}

int
main (void)
{
  srand (time (NULL));
  record_track (white_noise_data, 0);
  return 0;
}
