#include <math.h>

#include "sounds-cd.h"

#if defined(__GNUC__)
static char
log_scale_data (void *junk __attribute__((__unused__)), unsigned long time,
		short *left, short *right)
#else
static char
log_scale_data (void *junk, unsigned long time,
		short *left, short *right)
#endif
{
  short v;

  v = sin ((time*1./SAMPLE_RATE)*exp(((time*1./SAMPLE_RATE-4)/2)*LOG_2)
	   *(BASIC_FREQUENCY*TWOPI))*BASIC_AMPLITUDE + .5;
  *left = v;
  *right = v;
  return ( time < 10*SAMPLE_RATE );
}

int
main (void)
{
  record_track (log_scale_data, 0);
  return 0;
}
