#include <math.h>
#include <stdlib.h>
#include <time.h>

#include "sounds-cd.h"

#if defined(__GNUC__)
static char
random_walk_data (void *junk __attribute__((__unused__)), unsigned long time,
		  short *left, short *right)
#else
static char
random_walk_data (void *junk, unsigned long time,
		  short *left, short *right)
#endif
{
  static unsigned long p = 0;
  short v;

  p = (p + ((rand()%100000L)-50000L)) % 1000000L;
  v = sin (p*TWOPI/1000000L) * BASIC_AMPLITUDE + 0.5;
  *left = v;
  *right = v;
  return ( time < BASIC_LENGTH*SAMPLE_RATE );
}

int
main (void)
{
  srand (time (NULL));
  record_track (random_walk_data, 0);
  return 0;
}
