#include <math.h>
#include <stdlib.h>
#include <time.h>

#include "sounds-cd.h"

#if defined(__GNUC__)
static char
stereo_white_noise_data (void *junk __attribute__((__unused__)), unsigned long time,
			 short *left, short *right)
#else
static char
stereo_white_noise_data (void *junk, unsigned long time,
			 short *left, short *right)
#endif
{
  double th;
  short v;

  th = (rand ()%1000000L)*TWOPI/1000000L;
  v = sin (th) * BASIC_AMPLITUDE + 0.5;
  *left = v;
  v = cos (th) * BASIC_AMPLITUDE + 0.5;
  *right = v;
  return ( time < BASIC_LENGTH*SAMPLE_RATE );
}

int
main (void)
{
  srand (time (NULL));
  record_track (stereo_white_noise_data, 0);
  return 0;
}
